Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.com
Class Dispatch

    java.lang.Object
      |
      +--com.ms.com.Dispatch
            |
            +--weblogic.com.Dispatch

public class Dispatch
extends com.ms.com.Dispatch

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class com.ms.com.Dispatch
`DISPID_ABOUTBOX, DISPID_AMBIENT_APPEARANCE, DISPID_AMBIENT_AUTOCLIP, DISPID_AMBIENT_BACKCOLOR, DISPID_AMBIENT_CHARSET, DISPID_AMBIENT_CODEPAGE, DISPID_AMBIENT_DISPLAYASDEFAULT, DISPID_AMBIENT_DISPLAYNAME, DISPID_AMBIENT_FONT, DISPID_AMBIENT_FORECOLOR, DISPID_AMBIENT_LOCALEID, DISPID_AMBIENT_MESSAGEREFLECT, DISPID_AMBIENT_PALETTE, DISPID_AMBIENT_SCALEUNITS, DISPID_AMBIENT_SHOWGRABHANDLES, DISPID_AMBIENT_SHOWHATCHING, DISPID_AMBIENT_SUPPORTSMNEMONICS, DISPID_AMBIENT_TEXTALIGN, DISPID_AMBIENT_TRANSFERPRIORITY, DISPID_AMBIENT_UIDEAD, DISPID_AMBIENT_USERMODE, DISPID_APPEARANCE, DISPID_AUTOSIZE, DISPID_BACKCOLOR, DISPID_BACKSTYLE, DISPID_BORDERCOLOR, DISPID_BORDERSTYLE, DISPID_BORDERVISIBLE, DISPID_BORDERWIDTH, DISPID_CAPTION, DISPID_CLICK, DISPID_COLLECT, DISPID_CONSTRUCTOR, DISPID_DBLCLICK, DISPID_DESTRUCTOR, DISPID_DOCLICK, DISPID_DRAWMODE, DISPID_DRAWSTYLE, DISPID_DRAWWIDTH, DISPID_ENABLED, DISPID_ERROREVENT, DISPID_EVALUATE, DISPID_FILLCOLOR, DISPID_FILLSTYLE, DISPID_FONT, DISPID_FORECOLOR, DISPID_HWND, DISPID_KEYDOWN, DISPID_KEYPRESS, DISPID_KEYUP, DISPID_MOUSEDOWN, DISPID_MOUSEICON, DISPID_MOUSEMOVE, DISPID_MOUSEPOINTER, DISPID_MOUSEUP, DISPID_NEWENUM, DISPID_PICTURE, DISPID_PROPERTYPUT, DISPID_READYSTATE, DISPID_READYSTATECHANGE, DISPID_REFRESH, DISPID_TABSTOP, DISPID_TEXT, DISPID_UNKNOWN, DISPID_VALID, DISPID_VALUE, fdexNameCaseSensitive, Get, LOCALE_SYSTEM_DEFAULT, Method, Put, PutRef`

Constructor Summary
`Dispatch(java.lang.Object dispatch)`

Method Summary
`Variant` | `call(java.lang.String displayName)`
`Variant` | `get(java.lang.String displayName)`

Methods inherited from class com.ms.com.Dispatch
`call, call, call, call, call, call, call, call, call, call, call, call, call, call, call, call, call, call, callN_casesensitive, callN, callN, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSub, callSubN, callSubN, get_casesensitive, get, get, getIDOfName, getIDsOfNames, invoke, invoke, invoke, invokeSub, invokeSub, invokeSub, invokeSubv, invokeSubv, invokeSubv, invokev, invokev, invokev, invokev, put_casesensitive, put, put, putRef, putRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dispatch

    public Dispatch(java.lang.Object dispatch)

Method Detail

### get

    public Variant get(java.lang.String displayName)

### call

    public Variant call(java.lang.String displayName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD